import { Observable } from 'rxjs';
export declare const MAX_CONCURRENT_HGS = 3;
export declare function getBranch(projPath: string): Observable<string>;
export declare function getAllBranches(projPath: string, omitInactive?: boolean): Observable<Array<string>>;
export declare function getStatus(projPath: string): Observable<string>;
export declare function update(projPath: string, branchName?: string, additionalArgs?: Array<string>): Observable<string>;
export declare function pullChanges(projPath: string): Observable<string>;
export declare function pushChanges(projPath: string): Observable<string>;
export declare function checkIfBranchNeedsOtherBranchMergingIn(projPath: string, branchName: string, defaultBranch: string): Observable<boolean>;
export declare function mergeBranchIn(projPath: string, branchName: string): Observable<string>;
export declare function commit(projPath: string, message: string): Observable<string>;
export declare function runArbitraryHgCommand(projPath: string, ...command: Array<string>): Observable<string>;
