"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Listr = require('listr');
const hg_1 = require("../hg");
function push(config) {
    let projTasks = config.projects.map(project => {
        return {
            title: project.path,
            task: () => hg_1.pushChanges(project.path)
        };
    });
    const tasks = new Listr(projTasks, {
        concurrent: config.maxConcurrent || hg_1.MAX_CONCURRENT_HGS,
        exitOnError: false
    });
    return tasks.run();
}
exports.push = push;
//# sourceMappingURL=push.js.map